import React from 'react';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import { Selectseat } from './Components/Top-level/Seatselect/Selectseat.jsx';
import { Success } from '../src/Components/Top-level/Response/Success/Success.jsx';
import './App.css';
import { AuthPage } from './Pages/AuthPage.jsx';
import { ProtectedRoute } from './auth/ProtectedRoute.jsx';
import { Bookingpage } from './Pages/BookingPage.jsx';

export const App = () => {
  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<AuthPage />} />
        <Route
          path="/select-seat"
          element={
            <ProtectedRoute>
              <Bookingpage/>
            </ProtectedRoute>
          }
        />
        <Route
          path="/success"
          element={
            <ProtectedRoute>
              <Success />
            </ProtectedRoute>
          }
        />
      </Routes>
    </BrowserRouter>
  );
};
